SystemOrganization addCategory: #'ConfigurationCommandLineHandler-Tests'!

TestCase subclass: #ConfigurationCommandLineHandlerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationCommandLineHandler-Tests'!

!ConfigurationCommandLineHandlerTest methodsFor: 'convenience' stamp: 'PavelKrivanek 11/13/2012 10:15'!
activate: arguments
	^ DefaultCommandLineHandler activateWith: (self argumentsWith: arguments)! !

!ConfigurationCommandLineHandlerTest methodsFor: 'convenience' stamp: 'CamilloBruni 10/13/2012 13:03'!
argumentsWith: aCollection
	^ CommandLineArguments withArguments: aCollection! !

!ConfigurationCommandLineHandlerTest methodsFor: 'convenience' stamp: 'CamilloBruni 10/13/2012 13:17'!
command: arguments
	^ ConfigurationCommandLineHandler commandLine: (self argumentsWith: arguments)! !

!ConfigurationCommandLineHandlerTest methodsFor: 'tests' stamp: 'CamilloBruni 10/13/2012 13:21'!
testHasConfiguration
	| cli |
	cli := self command: #('http://ss3.gemstone.com/ss/MetaRepoForPharo20').
	self deny: cli hasConfiguration.
	
	cli := self command: #('http://ss3.gemstone.com/ss/MetaRepoForPharo20' '--install').
	self deny: cli hasConfiguration.
	
	cli := self command: #('http://ss3.gemstone.com/ss/MetaRepoForPharo20' 'ConfigurationOfFoo').
	self assert: cli hasConfiguration.! !

!ConfigurationCommandLineHandlerTest methodsFor: 'tests' stamp: 'CamilloBruni 10/16/2012 12:23'!
testListConfigurations
	self skip: 'Currently quits the image when in non-interactive mode'.
	self activate: #('config' 'http://ss3.gemstone.com/ss/MetaRepoForPharo20').! !

!ConfigurationCommandLineHandlerTest methodsFor: 'tests' stamp: 'CamilloBruni 10/13/2012 13:04'!
testResponsibility
	| args |
	args := self argumentsWith: #('config').
	self assert: (ConfigurationCommandLineHandler isResponsibleFor: args).! !
